Subject: bug#41200: Displaying a tooltip with x-show-tip gets very slow as more faces are defined

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Apr 2021 23:56:20 -0400

> I have updated this patch to make it compile and behave on Emacs master
> at 1d93540371aadec8f877bd781267d38d411c40a0 (current a few hours ago).
> The updated patch is attached.

I just tried it on Emacs's `master` but for me it results in

    src/emacs -Q

opening up with most faces that don't use colors: the *scratch* buffer's
comments are displayed in black+bold+italic, the mode-line has
a black background.  A call of the form `(error "foo")` has foo display
in black+italic and the `error symbol is displayed in reverse video
(black background).

OTOH, the `M-x` that is displayed when I hit `M-x` seems to have the
usual blueish color.

        Stefan